.section {
  margin-top: 5vh;
}

.container {
  width: 97.5%;
  margin: 0 auto;
}

@media only screen and (min-width: 1024px) {
  .container {
    width: 80%;
  }
}

@media only screen and (min-width: 1440px) {
  .container {
    width: 70%;
  }
}

.infolist {
  display: flex;
  flex-direction: column;
}

@media only screen and (min-width: 1024px) {
  .infolist {
    justify-content: space-between;
    flex-direction: row;
  }
}

.infolist__box {
  height: 400px;
  margin: 2vh 0;
}

@media only screen and (min-width: 1024px) {
  .infolist__box {
    width: 48%;
    height: 25rem;
  }
}

.infolist__box--textlist {
  display: flex;
  flex-direction: column;
}

@media only screen and (min-width: 1024px) {
  .infolist__box--textlist {
    justify-content: space-between;
  }
}

.infolist__img {
  width: 100%;
  height: 100%;
  border-radius: 40px 0px;
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.75);
  object-fit: cover;
  object-position: center;
}

.infolist__text {
  cursor: pointer;
  padding: 2rem 2rem;
}

@media only screen and (min-width: 1024px) {
  .infolist__text {
    padding: 0 2rem;
  }
}

.infolist__text--active {
  position: relative;
  padding: 2rem;
  border-radius: 40px 0px;
  background-color: var(--body-background-color);
}

.infolist__text--active::before {
  content: '';
  position: absolute;
  inset: 0;
  border-radius: 40px 0px;
  padding: 1px;
  background: radial-gradient(
      circle at 0% 0%,
      rgba(0, 0, 0, 0.75) 20%,
      transparent 0%
    ),
    radial-gradient(
      circle at 100% 100%,
      rgba(0, 0, 0, 0.75) 20%,
      transparent 0%
    ),
    #ffb528;
  filter: blur(17.5px);
  mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);
  mask-composite: xor;
  mask-composite: exclude;
}

.infolist__text .h2 {
  font-size: 1.85rem;
}

.infolist__text--active .h2 {
  margin: 1rem 0;
}

.infolist__text .h2:hover {
  color: var(--color-second-hover);
}

.infolist__text .p {
  height: 0;
  overflow: hidden;
  font-size: 0.95rem;
  transform: scaleY(0);
  transform-origin: 0% 0%;
  transition: transform 1s;
}

.infolist__text--active .p {
  height: auto;
  overflow: visible;
  transform: scaleY(1);
  transform-origin: 50% 0%;
}

@keyframes slide {
  0% {
    transform: scaleY(0);
    transform-origin: 0% 0%;
  }
  100% {
    transform: scaleY(1);
    transform-origin: 50% 0%;
  }
}
